%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global prerel b23
%global modname tw2.jqplugins.ui

Name:           python-tw2-jquery-ui
Version:        2.0
Release:        0.1.%{prerel}%{?dist}
Summary:        ToscaWidgets 2 wrappers for JQuery UI

Group:          Development/Languages
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}%{prerel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-tw2
BuildRequires:  python-tw2-jquery
Requires:       python-tw2
Requires:       python-tw2-jquery

%description
ToscaWidgets2 wrapper for the JQuery UI javascript library

%prep
%setup -q -n %{modname}-%{version}%{prerel}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Dec 06 2011 John (J5) Palmieri <johnp@redhat.com> - 2.0-0.1.b23
- Initial package
